<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Task 3</title>
</head>
<body>
<script language="JavaScript">



    document.write("<pre>");
    var strArray = ["Hello", "World", "in", "a", "frame","Bangladesh"];

    function starPrint() {
        for( var i=1; i<=maxLen+4 ; i++)
            document.write("*");
        document.write("<br>");
    }

    function spacesPrint(currentElementLength){

        for(var i=1; i<=maxLen-currentElementLength; i++){

            document.write("&nbsp;");
        }
    }



    for (var i= 0, maxLen= 0; i< strArray.length; i++){
        if (strArray[i].length > maxLen) {
            spacesPrint(currentElementLength);

            maxLen = strArray[i].length;
        }
    }

    starPrint();

    for(i=0; i < strArray.length; i++){

        document.write("* "+strArray[i]);
        var currentElementLength = strArray[i].length;

        spacesPrint(currentElementLength);


        document.write(" *<br>");




    }

    starPrint();

    document.write("</pre>");

</script>

</body>
</html>